lib64ncursesw-devel-5.9-9pclos2015.x86_64.rpm


Advertisement

Description

lib64ncursesw-devel - The development files for applications which use ncurses

Property Value
Distribution PCLinuxOS
Repository PCLinuxOS x86_64
Package name lib64ncursesw-devel
Package version 5.9
Package release 9pclos2015
Package architecture x86_64
Package type rpm
Installed size 1.14 MB
Download size 1.14 MB
Official Mirror ftp.nluug.nl
The libraries for developing applications that use ncurses CRT screen
handling and optimization package. Install it if you want to develop
applications which will use ncurses.
Note that the libraries included here supports wide char (UTF-8),
and is not compatible with those without. When linking programs with
these libraries, you will have to append a "w" to the library names,
i.e. -lformw, -lmenuw, -lncursesw, -lpanelw.

Alternatives

Package Version Architecture Repository
lib64ncursesw-devel - - -

Requires

Name Value
devel(libdl(64bit)) -
devel(libformw(64bit)) -
devel(libgcc_s(64bit)) -
devel(libmenuw(64bit)) -
devel(libncursesw(64bit)) -
devel(libpanelw(64bit)) -
devel(libstdc++(64bit)) -
devel(libtinfo(64bit)) -
lib64ncursesw5 = 5.9-9pclos2015
multiarch-utils -
pkgconfig -
pkgconfig(formw) -
pkgconfig(menuw) -
pkgconfig(ncursesw) -
pkgconfig(panelw) -
pkgconfig(tinfo) -
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsLzma) <= 4.4.6-1
rpmlib(VersionedDependencies) <= 3.0.3-1

Provides

Name Value
devel(libformw(64bit)) -
devel(libmenuw(64bit)) -
devel(libncurses++w(64bit)) -
devel(libncursesw(64bit)) -
devel(libpanelw(64bit)) -
lib64ncursesw-devel = 5.9-9pclos2015
lib64ncursesw-devel(x86-64) = 5.9-9pclos2015
libncursesw-devel = 5.9-9pclos2015
ncursesw-devel = 5.9-9pclos2015
pkgconfig(formw) = 5.9.20140323
pkgconfig(menuw) = 5.9.20140323
pkgconfig(ncurses++w) = 5.9.20140323
pkgconfig(ncursesw) = 5.9.20140323
pkgconfig(panelw) = 5.9.20140323

Conflicts

Name Value
lib64ncurses-devel < 5.7-3.20091128.2

Obsoletes

Name Value
lib64ncursesw5-devel -

Download

Type URL
Binary Package lib64ncursesw-devel-5.9-9pclos2015.x86_64.rpm
Source Package ncurses-5.9-9pclos2015.src.rpm

Install Howto

  1. Enable PCLinuxOS x86_64 repository in /etc/apt/sources.list:
    rpm http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/apt/ pclinuxos/64bit x86_64
  2. Update the package index:
    # apt-get update
  3. Install lib64ncursesw-devel rpm package:
    # apt-get install lib64ncursesw-devel

See Also

Package Description
lib64ncursesw5-5.9-9pclos2015.x86_64.rpm Ncurses libraries which support UTF8
lib64ndp-devel-1.5-1pclos2016.x86_64.rpm Libraries and header files for libndp development
lib64ndp0-1.5-1pclos2016.x86_64.rpm Library for Neighbor Discovery Protocol
lib64neon-devel-0.30.1-2pclos2016.x86_64.rpm Headers for developing programs that will use libneon
lib64neon-static-devel-0.30.1-2pclos2016.x86_64.rpm Static libneon library
lib64neon27-0.30.1-2pclos2016.x86_64.rpm Shared libraries for libneon
lib64nepomukcleaner4-4.14.3-2pclos2015.x86_64.rpm Nepomuk core library
lib64nepomukcore4-4.14.3-2pclos2015.x86_64.rpm Nepomuk core library
lib64nepomukwidget4-4.14.3-2pclos2015.x86_64.rpm The Library containing the Nepomuk Widget
lib64net-devel-1.1.5-1pclos2011.x86_64.rpm Development library and header files for the libnet library
lib64net-snmp-devel-5.6.1-2pclos2012.x86_64.rpm The development environment for the NET-SNMP project
lib64net-snmp-static-devel-5.6.1-2pclos2012.x86_64.rpm The static development libraries for the NET-SNMP project
lib64net-snmp25-5.6.1-2pclos2012.x86_64.rpm Libraries for Network management (SNMP), from the NET-SNMP project
lib64net1-1.1.5-1pclos2011.x86_64.rpm A C library for portable packet creation
lib64net1.0.2-1.0.2a-4pclos2011.x86_64.rpm A C library for portable packet creation
Advertisement
Advertisement